#include <stdio.h>
#include <math.h>

/* constante pi */
#ifndef M_PI
#define M_PI 3.1415926
#endif

/* macros de conversao de unidades de medida de angulos */
#define RAD(a) ((a) * M_PI / 180.0)
#define DEG(a) ((a) * 180.0 / M_PI)

typedef struct {
	float x, y;
} ponto;

int main(void)
{
	int n, i;
	float d, r, a, t, x, y;
	ponto p0, p1, c;

	/* ler n */
	printf("n = ");
	scanf("%d", &n);
	/* ler p0 */
	printf("x0 = ");
	scanf("%f", &p0.x);
	printf("y0 = ");
	scanf("%f", &p0.y);
	/* ler p1 */
	printf("x1 = ");
	scanf("%f", &p1.x);
	printf("y1 = ");
	scanf("%f", &p1.y);
	/* calcular c */
	c.x = (p0.x + p1.x) / 2.0;
	c.y = (p0.y + p1.y) / 2.0;
	/* calcular d */
	d = sqrt((p1.x - p0.x) * (p1.x - p0.x)
 + (p1.y - p0.y) * (p1.y - p0.y));
	/* calcular r */
	r = d / 2;
	/* calcular a */
	a = RAD(360) / (float) n;
	/* escrever tabela */
	printf("Tabela\n");
	t = 0;
	for (i = 0; i < n; i++) {
		x = r * cos(t) + c.x;
		y = r * sin(t) + c.y;
		printf("% 16.2f\t% 16.2f\n", x, y);
		t += a;
	}
	return 0;
}
